﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
    
namespace StripControls
{
    using System.Resources;
    using System.Collections;
    
    public partial class Form4 : Form
    {
        public Form4()
        {
            InitializeComponent();
    
            CreateMenu();// Создаем меню
    
            // Загружаем в меню пиктограммы опций
            LoadImage();
        }
    
        // Видимые в методах поля-ссылки на элементы меню
        MenuStrip menu;
        ToolStripMenuItem itemFile;
        ToolStripMenuItem itemOpen;
        ToolStripMenuItem itemSaveAs;
        ToolStripMenuItem itemExit;
    
        ToolStripMenuItem itemEdit;
        ToolStripMenuItem itemCut;
        ToolStripMenuItem itemCopy;
        ToolStripMenuItem itemPaste;
        ToolStripMenuItem itemDelete;
    
        void CreateMenu()
        {
            // Создание меню
            menu = new MenuStrip();
            menu.Parent = this;
    
            // Формирование верхней линейки меню
            itemFile = new ToolStripMenuItem("&File");
            menu.Items.Add(itemFile);
            itemEdit = new ToolStripMenuItem("&Edit");
            menu.Items.Add(itemEdit);
    
            // Сборка узла File
            itemFile.DropDownItems.Add(itemOpen = new ToolStripMenuItem("&Open"));
            itemFile.DropDownItems.Add(itemSaveAs = new ToolStripMenuItem("Save &As..."));
            itemFile.DropDownItems.Add(new ToolStripSeparator());
            itemFile.DropDownItems.Add(itemExit = new ToolStripMenuItem("E&xit"));
    
            // Сборка узла Edit
            itemEdit.DropDownItems.Add(itemCut = new ToolStripMenuItem("Cu&t"));
            itemEdit.DropDownItems.Add(itemCopy = new ToolStripMenuItem("&Copy"));
            itemEdit.DropDownItems.Add(itemPaste = new ToolStripMenuItem("&Paste"));
            itemEdit.DropDownItems.Add(itemDelete = new ToolStripMenuItem("&Delete"));
        }
    
        // Создаем список для хранения изображений 
        ImageList imageList = new ImageList();
    
        void LoadImage()
        {
            // Присоединяем ранее сформированные ресурсы из файла ресурсов 
            ResourceReader rr = new ResourceReader("ResXForm4.resources");
            IDictionaryEnumerator en = rr.GetEnumerator();
            while (en.MoveNext())
            {
                switch (en.Key.ToString())
                {
                    default:
                        imageList.Images.Add(en.Key.ToString(), (Image)en.Value);
                        break;
                    case "icoTitle":
                        this.Icon = (Icon)en.Value;     // Иконка окна
                        break;
                    case "strTitle":
                        this.Text = (String)en.Value;   // Заголовок окна
                        break;
                }
            }
            rr.Close(); // Закрыли файл ресурсов
    
            // Определяем цвет, имитирующий прозрачность окраин пиктограмм 
            imageList.TransparentColor = Color.Magenta;
    
            // Закрепляем пиктограммы из списка за командами меню с помощью ключей
            itemOpen.Image = imageList.Images["Open"];
            itemSaveAs.Image = imageList.Images["Save"];
            itemCut.Image = imageList.Images["Cut"];
            itemCopy.Image = imageList.Images["Copy"];
            itemPaste.Image = imageList.Images["Paste"];
            itemDelete.Image = imageList.Images["Delete"];
        }
    }
}